<script setup lang="ts">
import { type Product } from '@/types/Product'

const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product]
}>()

const selected = function () {
  console.log('ProductList' + props.product)
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-sheet width="150px" height="170px" elevation="3" @click="selected">
    <v-img :src="`./img/coffee/product${product.id}.png`" height="120" cover></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} Baht</div>
  </v-sheet>
</template>
